//+------------------------------------------------------------------+
//|                                                        |
//|                      Copyright  2004, MetaQuotes Software Corp. |
//|                                       http://www.metaquotes.net/ |
//+------------------------------------------------------------------+
#property  copyright "Copyright  2006, FX Sniper "
#property  link      "http://www.metaquotes.net/"

//---- indicator settings
#property  indicator_separate_window
#property  indicator_buffers 2
#property indicator_color1 Red      
#property indicator_color2 Lime


//---- buffers
double ExtMapBuffer1[];
double ExtMapBuffer2[],mom[];

extern int MomPeriod = 14;
extern int PriceType=0; 

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- 2 additional buffers are used for counting.
   IndicatorBuffers(6);
   
//---- drawing settings
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexBuffer(1,ExtMapBuffer2);
   SetIndexBuffer(2,mom);  
   SetIndexStyle(0,DRAW_LINE,0,2);
   SetIndexStyle(1,DRAW_LINE,0,2);
   SetIndexStyle(2,DRAW_LINE,0,2);

 
   IndicatorShortName("Mom Color("+MomPeriod+")"); 

//---- initialization done
   return(0);
  }

int start()

  {  
      for(int i = Bars-10; i >= 0; i--)
           {
               mom[i]=iMomentum(NULL,0,MomPeriod,PriceType,i);

           }     
     
     for(int shift = Bars-10; shift >= 0; shift--)
     {  
       ExtMapBuffer1[shift] = mom[shift]; 
       ExtMapBuffer2[shift] = mom[shift]; 

       //Print (ma[shift]);
        if (mom[shift] > mom[shift+1] )
        {
        ExtMapBuffer1[shift] = EMPTY_VALUE;
        ExtMapBuffer2[shift+1] = mom[shift+1];
        
        }
       else if (mom[shift] < mom[shift+1] ) 
        {
        ExtMapBuffer2[shift] = EMPTY_VALUE; 
        ExtMapBuffer1[shift+1] = mom[shift+1];
        }

      }
    
      return(0);
  }
//+------------------------------------------------------------------+



